## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 18;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-rfc3986-validator
Version:        0.1.1
Release:        %autorelease
Summary:        Pure python RFC3986 validator

# SPDX
License:        MIT
URL:            https://github.com/naimetti/rfc3986-validator
Source:         %{pypi_source rfc3986_validator}

BuildSystem:            pyproject
BuildOption(generate_buildrequires): -x test
BuildOption(install):   -l rfc3986_validator

BuildArch:      noarch

BuildRequires:  python3-devel

# Removing deprecated pytest-runner and adding missing test dependencies
# https://github.com/naimetti/rfc3986-validator/pull/3
#
# Fixes:
#
# https://github.com/naimetti/rfc3986-validator/issues/2
# https://fedoraproject.org/wiki/Changes/DeprecatePythonPytestRunner
Patch:          0001_removing_pytest_runner_and_adding_test_requirements.patch

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-rfc3986-validator
Summary: %summary

%description -n python3-rfc3986-validator %{common_description}


%check -a
PYTHONWARNINGS=ignore %pytest -vv tests


%files -n python3-rfc3986-validator -f %{pyproject_files}
%doc HISTORY.rst
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.1-18
- F41+: Use the provisional pyproject declarative buildsystem

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.1-17
- Do not number the sole Patch

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.1-16
- Package HISTORY.rst as documentation

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.1-15
- Do not package a duplicate LICENSE file

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.1-14
- Updated patch comment

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.1-13
- Simplify and reformat the spec file
- Deconditionalize the tests
- Stop using the “forge macros,” which don’t contribute much here

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.1-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.1.1-6
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.1-3
- updating the sources

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.1-2
- switching package source to pypi as the forge dont include this version

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.1-1
- update to version 0.1.1

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-4
- fixing module config in setup files

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-3
- Minor README.md file formating update

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-2
- updating the README.md

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-1
- initial commit
## END: Generated by rpmautospec
